Bug 825276 - SELinux is preventing /usr/bin/bash from 'read' accesses on the file /etc/passwd.
SELinux is preventing /usr/bin/bash from 'read' accesses on the file /etc/pas...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:79c102e7ab51cecc5d4343abd6d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-25 10:31 EDT by Juan Orti
Modified: 2012-06-03 19:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-03 19:32:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juan Orti 2012-05-25 10:31:02 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.4-5.fc17.x86_64
time:           vie 25 may 2012 16:29:04 CEST

description:
:SELinux is preventing /usr/bin/bash from 'read' accesses on the file /etc/passwd.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If cree que de manera predeterminada, bash debería permitir acceso read sobre  passwd file.     
:Then debería reportar esto como un error.
:Puede generar un módulo de política local para permitir este acceso.
:Do
:permita el acceso momentáneamente executando:
:# grep sh /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:boinc_t:s0
:Target Context                system_u:object_r:passwd_file_t:s0
:Target Objects                /etc/passwd [ file ]
:Source                        sh
:Source Path                   /usr/bin/bash
:Port                          <Desconocido>
:Host                          (removed)
:Source RPM Packages           bash-4.2.24-2.fc17.x86_64
:Target RPM Packages           setup-2.8.48-1.fc17.noarch
:Policy RPM                    selinux-policy-3.10.0-121.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.4-5.fc17.x86_64 #1
:                              SMP Mon May 7 17:29:34 UTC 2012 x86_64 x86_64
:Alert Count                   81
:First Seen                    vie 25 may 2012 16:28:40 CEST
:Last Seen                     vie 25 may 2012 16:28:40 CEST
:Local ID                      b73b1766-2605-4af8-b537-49f5e9b251ca
:
:Raw Audit Messages
:type=AVC msg=audit(1337956120.488:1361): avc:  denied  { read } for  pid=9673 comm="sh" name="passwd" dev="sda3" ino=929462 scontext=system_u:system_r:boinc_t:s0 tcontext=system_u:object_r:passwd_file_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1337956120.488:1361): arch=x86_64 syscall=open success=no exit=EACCES a0=7fa81eef16ca a1=80000 a2=1b6 a3=238 items=0 ppid=9560 pid=9673 auid=4294967295 uid=991 gid=986 euid=991 suid=991 fsuid=991 egid=986 sgid=986 fsgid=986 tty=(none) ses=4294967295 comm=sh exe=/usr/bin/bash subj=system_u:system_r:boinc_t:s0 key=(null)
:
:Hash: sh,boinc_t,passwd_file_t,file,read
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Juan Orti 2012-05-25 10:32:31 EDT
I just started boinc-client with:
systemctl start boinc-client.service
Comment 2 Miroslav Grepl 2012-05-28 03:35:36 EDT
Fixed in selinux-policy-3.10.0-127.fc17
Comment 3 Fedora Update System 2012-05-31 02:27:35 EDT
selinux-policy-3.10.0-128.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-128.fc17
Comment 4 Fedora Update System 2012-06-01 13:09:34 EDT
Package selinux-policy-3.10.0-128.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-128.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8720/selinux-policy-3.10.0-128.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-06-03 19:32:00 EDT
selinux-policy-3.10.0-128.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.